SysIdentify

Public Attributes | List of all members
SysIdentifi.TreeViewItemExt Class Reference

TreeViewItem with info about storage data More...

Inheritance diagram for SysIdentifi.TreeViewItemExt:

## Public Attributes
int | ID = -1
| ID of measurement. Unique number is the same like ID in appropriate data set class (TwinCatExtGen.MeasuredData / TwinCatBode) More...
MeasurementType | DataType = MeasurementType.None
| Type of data More...
int | IndexData = -1
| Corresponding index in list of data More...
int | IndexAuxData = -1
| Corresponding index in list of data ( only for TwinCAT Bode plot data ). Index in TwinCatBode.ListTcBodeData[X] More...
int | IndexGraphClosedLoopMg = -1
| Corresponding index in graph (Magnitude) for closed loop More...
int | IndexGraphClosedLoopPh = -1
| Corresponding index in graph (Phase) for closed loop More...
int | IndexGraphOpenLoopMg = -1
| Corresponding index in graph (Magnitude) for open loop More...
int | IndexGraphOpenLoopPh = -1
| Corresponding index in graph (Phase) for open loop More...
int | IndexGraphProcessMg = -1
| Corresponding index in graph (Magnitude) for process ( only for TwinCAT Bode plot data ) More...
int | IndexGraphProcessPh = -1
| Corresponding index in graph (Phase) for process ( only for TwinCAT Bode plot data ) More...
int | IndexGraphInStepRes = -1
| Corresponding index in Step response graph for input data ( only for Spectral analysis data) More...
int | IndexGraphOutStepRes = -1
| Corresponding index in Step response graph for output data ( only for Spectral analysis data) More...

## Detailed Description

TreeViewItem with info about storage data

## Member Data Documentation

## ◆ DataType

MeasurementType SysIdentifi.TreeViewItemExt.DataType = MeasurementType.None

Type of data

## ◆ ID

int SysIdentifi.TreeViewItemExt.ID = -1

ID of measurement. Unique number is the same like ID in appropriate data set class (TwinCatExtGen.MeasuredData / TwinCatBode)

## ◆ IndexAuxData

int SysIdentifi.TreeViewItemExt.IndexAuxData = -1

Corresponding index in list of data ( only for TwinCAT Bode plot data ). Index in TwinCatBode.ListTcBodeData[X]

## ◆ IndexData

int SysIdentifi.TreeViewItemExt.IndexData = -1

Corresponding index in list of data

## ◆ IndexGraphClosedLoopMg

int SysIdentifi.TreeViewItemExt.IndexGraphClosedLoopMg = -1

Corresponding index in graph (Magnitude) for closed loop

## ◆ IndexGraphClosedLoopPh

int SysIdentifi.TreeViewItemExt.IndexGraphClosedLoopPh = -1

Corresponding index in graph (Phase) for closed loop

## ◆ IndexGraphInStepRes

int SysIdentifi.TreeViewItemExt.IndexGraphInStepRes = -1

Corresponding index in Step response graph for input data ( only for Spectral analysis data)

## ◆ IndexGraphOpenLoopMg

int SysIdentifi.TreeViewItemExt.IndexGraphOpenLoopMg = -1

Corresponding index in graph (Magnitude) for open loop

## ◆ IndexGraphOpenLoopPh

int SysIdentifi.TreeViewItemExt.IndexGraphOpenLoopPh = -1

Corresponding index in graph (Phase) for open loop

## ◆ IndexGraphOutStepRes

int SysIdentifi.TreeViewItemExt.IndexGraphOutStepRes = -1

Corresponding index in Step response graph for output data ( only for Spectral analysis data)

## ◆ IndexGraphProcessMg

int SysIdentifi.TreeViewItemExt.IndexGraphProcessMg = -1

Corresponding index in graph (Magnitude) for process ( only for TwinCAT Bode plot data )

## ◆ IndexGraphProcessPh

int SysIdentifi.TreeViewItemExt.IndexGraphProcessPh = -1

Corresponding index in graph (Phase) for process ( only for TwinCAT Bode plot data )

The documentation for this class was generated from the following file:

- C:/Users/matusa.BECKHOFF/Documents/Indentifikacia sustav/System Identification WPF/SysIdentifi/SysIdentifi/MainWindow.xaml.cs